Get Session
curl --request GET \
--url https://agentcell.live/api/sessions/{session_id}import requests
url = "https://agentcell.live/api/sessions/{session_id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://agentcell.live/api/sessions/{session_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Sessions
Get Session
Get status and details of a session
GET
/
api
/
sessions
/
{session_id}
Get Session
Path parameters
| Parameter | Type | Description |
|---|---|---|
session_id | string | The session ID |
Request
curl https://agentcell.live/api/sessions/SESSION_ID \
-H "X-API-Key: YOUR_API_KEY"
Response
{
"id": "abc123",
"status": "ready",
"stream_url": "https://agentcell.live/scrcpy/?action=stream&udid=...",
"adb_serial": "172.18.0.5:5555",
"trial_expires_at": "2025-01-15T10:20:00Z",
"created_at": "2025-01-15T10:00:00Z",
"updated_at": "2025-01-15T10:00:30Z"
}
status is "ready", the phone is available for tasks.⌘I
